Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.inventory
Class ItemInventoryValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.ebusiness.inventory.ItemInventoryValue

public class ItemInventoryValue
extends SmartValue

The ItemInventory is an optimization for locating inventory records. When Inventory Records are created they are registered with the appropriate Item Inventory so that the can be effeciently located.

See Also:
  `ItemInventory`, `ItemInventoryHome`, `ItemInventory.getItemInventoryByValue()`, `ItemInventory.setItemInventoryByValue(ItemInventoryValue)`, Serialized Form

Field Summary
`com.sun.java.util.collections.LinkedList` | `inventoryRecords` inventoryRecord (List) [ItemInventory] <>------> [`theory.smart.ebusiness.inventory.InventoryRecord`] 0..*
`java.lang.String` | `itemKey` itemKey [ItemInventory] <*>------> [`String`] (Primary Key)

Constructor Summary
`protected` | `ItemInventoryValue()` Only get/setItemInventoryByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### itemKey

    public java.lang.String itemKey

                        itemKey
       [ItemInventory] <*>------> [String] (Primary Key)

### inventoryRecords

    public com.sun.java.util.collections.LinkedList inventoryRecords

                        inventoryRecord (List)
       [ItemInventory] <>------> [theory.smart.ebusiness.inventory.InventoryRecord]
                           0..*

Constructor Detail

### ItemInventoryValue

    protected ItemInventoryValue()

  Only get/setItemInventoryByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.